///////////////////////////////////////////////
// Minimal-Level
///////////////////////////////////////////////
#VIDEO		S640x480;
VIDEO			X320x400;
#VIDEO		320x200;
MAPFILE		<miniw.WMP>;
BIND			<mini.WDL>;
INCLUDE		<move.wdl>;
//////////////////////////////////////////////////////////
PALETTE pal1 {	PALFILE <vrpal.bbm>;
	RANGE 16,16;	RANGE 32,16;	RANGE 48,16;	RANGE 64,16;
	RANGE 80,16;	RANGE 96,16;	RANGE 112,16;	RANGE 128,8;
	RANGE 136,8;	RANGE 144,8;	RANGE 152,8;	RANGE 160,16;
	RANGE 176,16;	RANGE 192,16;	RANGE 208,16;	RANGE 226,16;
	RANGE 240,16;
}

ACTION start_me {
	BRANCH			set_walking;
}

IF_START	start_me;

////////////////////////////////////////////////////////////////////
BMAP  bogen_map, 		<wandtex.lbm>,320,0,64,128;
BMAP  kassetten_map,	<bodentex.lbm>,0,0,128,128;

////////////////////////////////////////////////////////////////////
TEXTURE  bogen_tex {
	SCALE_XY	10,10;
	BMAPS 	bogen_map;
}

TEXTURE  kassetten_ftex {
	SCALE_XY	16,16;
	BMAPS		kassetten_map;
}

///////////////////////////////////////////////
REGION border {
	FLOOR_HGT	40;
	CEIL_HGT		40;
	FLOOR_TEX	kassetten_ftex;
	CEIL_TEX		kassetten_ftex;
	CLIP_DIST	0;	// to accelerate rendering
}

REGION dungeon {
	FLOOR_HGT	0;
	CEIL_HGT		12;
	FLOOR_TEX	kassetten_ftex;
	CEIL_TEX		kassetten_ftex;
}

REGION pond {
	FLOOR_HGT	-3;
	CEIL_HGT		21;
	FLOOR_TEX	kassetten_ftex;
	CEIL_TEX		kassetten_ftex;
}

///////////////////////////////////////////////
WALL bogen_wand {
	TEXTURE	bogen_tex;
	FLAGS		PORTCULLIS;
}
////////////////////////////////////////////////
