//////////////////////////////////////////////////////////////
SOUND fasstreff,<walbang1.wav>;
SOUND fassrums,<fbum.wav>;			#beim runterkommen
SOUND Wandbang, <w_bang2.wav>; 		#Aufprall
////////////////////////////////////////////////////////////
BMAP fass1,<tonne.lbm>,23,254,81,174;
BMAP fass2,<tonne.lbm>,117,254,81,174;
BMAP fass3,<tonne.lbm>,236,254,81,174;
BMAP fass4,<tonne.lbm>,340,254,81,174;
BMAP fass5,<tonne.lbm>,440,254,81,174;

TEXTURE fass {
	SCALE_XY	35,35;
	CYCLES	5;
	BMAPS		fass1,fass2,fass3,fass4,fass5;
	FLAGS		ONESHOT;
	DELAY    3,3,3,3,3;
}

THING	barrel {
	TEXTURE	fass;
	IF_NEAR	BarrelTouch_act;
	IF_HIT	Barrel_Hit;
	FLAGS		FRAGILE,SAVE;
	HEIGHT   -0.3;
}


ACTION BarrelTouch_act {
	PLAY_SOUND	wandbang,0.2;
	SET 	MY.EACH_TICK,dotz;
}

SKILL hupf_random { VAL 0; }

ACTION	Barrel_Hit {
	IF_EQUAL	SHOOT_RANGE,14;
		BRANCH	BarrelTouch_act;
	IF_BELOW	RESULT,0.1;
		END;
	PLAY_SOUND	fasstreff,0.2;
	SET	MY.SKILL1,1;
	ADD	MY.SKILL1,hupf_random;	// damit nicht alle Faesser gleich hupfen
	ADD	hupf_random,0.05;
	IF_ABOVE hupf_random,0.25;
		SET	hupf_random,-0.15;
	SET	MY.EACH_TICK,barrel_hupf;
}

ACTION barrel_hupf {
	SET	RENDER_MODE,1;
	SET	val1,THERE.CEIL_HGT;
	SUB	val1,THERE.FLOOR_HGT;
	SUB	val1,MY.SIZE_Y;
	ADD	MY.HEIGHT,MY.SKILL1;
	IF_ABOVE	MY.HEIGHT,val1;	// stoesst Fass an Decke?
		SET	MY.HEIGHT,val1;

	RULE	val1=-0.15*TIME_CORR;
	ADD	MY.SKILL1,val1;
	IF_ABOVE	MY.HEIGHT,0;
		END;
	PLAY_SOUND	fassrums,0.3;
	SET	MY.EACH_TICK,NULL;
	SET	MY.HEIGHT,-0.3;
	SET 	MY.PLAY, 1;
}


