///////////////////////////////////////////////////////////
// Save/Load/Exit-Aktionen fuer SKDEMO
///////////////////////////////////////////////////////////
SAVEDIR	"";
SKILL number 	{ VAL 0; }

//////////////////////////////////////////////////////////
// Speichern & Laden
//////////////////////////////////////////////////////////
ACTION qsave_game {			// Spielstand speichern, mit Abfrage
	SET	screen_msg.STRING,save_yesno;
	SET	IF_J, save_game;
	SET	IF_Y, save_game;
	SET	IF_Z, save_game;
	CALL	wait_yesno;
}

ACTION skaph_gsave {				// globals sichern
	SAVE_INFO	"SKINF",0;
}

ACTION skaph_gload {				// alle globals laden
	LOAD_INFO	"SKINF",0;
}

ACTION skaph_sload {				// einige globals laden
	SET		old_maxlev,max_level;
	SET		old_difficulty,difficulty;
	SET		old_points,points;
	SET		old_health,health;
	SET		old_energy,energy;
	SET		old_gun1,gun1;
	SET		old_gun2,gun2;
	SET		old_gun3,gun3;
	SET		old_gun4,gun4;
	SET		old_minen,minen;
	SET		old_shield,shield;
	CALL		skaph_gload;
	IF_ABOVE	old_maxlev,max_level;
		SET	max_level,old_maxlev;
	SET		difficulty,old_difficulty;
	SET		points,old_points;
	SET		health,old_health;
	SET		energy,old_energy;
	SET		gun1,old_gun1;
	SET		gun2,old_gun2;
	SET		gun3,old_gun3;
	SET		gun4,old_gun4;
	SET		minen,old_minen;
	SET		shield,old_shield;
}


ACTION save_game {			// Spielstand direkt speichern
	CALL		clear_message;
	CALL		skaph_sload;		// globalen Skill slot laden
	RULE		slot = slot + 1;	// und um 1 erhoehen
	IF_ABOVE	slot,3;				// Wenn >3, dann wieder auf 1
		RULE	slot = slot - 3;
	CALL		skaph_gsave;		// neuen slot-skill wieder speichern
	SET		RESULT,0;			// Um Fehler zu erkennen
	SET		screen_msg.STRING,ok;
	CALL		show_message;
	SAVE		"SKGAM",slot;		// Game abspeichern

	IF_BELOW	RESULT,0;			// Fehler beim Speichern?
		SET	screen_msg.STRING,save_nix;
}

ACTION qload_game1 {
	SET		number,0;			// nimm letzten Spielstand
	SET		screen_msg.STRING,load_yesno1;
	SET		IF_Y,load_game;
	SET		IF_Z,load_game;
	SET		IF_J,load_game;
	SET		IF_F3,qload_game2;
	CALL		wait_yesno;
}

ACTION qload_game2 {
	SET		number,1;			// vorletzten Spielstand
	SET		screen_msg.STRING,load_yesno2;
	SET		IF_Y,load_game;
	SET		IF_Z,load_game;
	SET		IF_J,load_game;
	SET		IF_F3,qload_game3;
	CALL		wait_yesno;
}

ACTION qload_game3 {
	SET		number,2;			// drittletzten Spielstand
	SET		screen_msg.STRING,load_yesno3;
	SET		IF_Y,load_game;
	SET		IF_Z,load_game;
	SET		IF_J,load_game;
	SET		IF_F3,qload_game1;
	CALL		wait_yesno;
}

ACTION load_game {
	CALL		clear_message;
	SET		screen_msg.STRING,wait_txt;
	SET		MESSAGES.14,screen_msg;
	SET		EACH_TICK.14,load_game;
	WAIT		1;					// damit message noch vor Laden sichtbar wird
	CALL		skaph_sload;	// globalen Skill slot laden
	RULE		slot = slot - number;
	IF_BELOW	slot,1;
		RULE	slot = slot + 3;
	LOAD		"SKGAM",slot;
	SET		screen_msg.STRING,load_nix;	// schiefgegangen!
	CALL		show_message;		// Fehlermeldung
}

//////////////////////////////////////////////////////////
IF_F2	qsave_game;
IF_F3	qload_game1;

