//////////////////////////////////////////////////
// Gun wiht bullet
//////////////////////////////////////////////////
BMAP  interruptor_obj,<can_obj.lbm>,0,24,153,43;
SOUND	tchhh,<laserbig.wav>;

TEXTURE	interruptor_tex {
SCALE_XY	16,16;
BMAPS		interruptor_obj;
}

THING interruptor {
	TEXTURE	interruptor_tex;
	IF_NEAR 	take_interruptor;
	IF_HIT	thing_hit;
}

ACTION take_interruptor {
	PLAY_SOUND	beamer,0.2;
	SET 	MY.INVISIBLE,1;
	SET 	gun3,1;
	ADD 	points, 15;
	RULE	energy = energy+100;
	SET 	screen_msg.STRING,got_interruptor;
	SET 	EACH_TICK.14,show_message;
	BRANCH	set_gun3;
}
/////////////////////////////////////////////////////////////
OVLY	cannon2_0 <canon2.LBM>,0,0,72,135;
OVLY	cannon2_1 <canon2.LBM>,72,0,72,135;
OVLY	cannon2_2 <canon2.LBM>,144,0,72,135;
OVLY	cannon2_3 <canon2.LBM>,216,0,72,135;
OVLY	cannon2_4 <canon2.LBM>,0,135,72,135;
OVLY	cannon2_5 <canon2.LBM>,72,135,72,135;
OVLY	cannon2_6 <canon2.LBM>,144,135,72,135;

OVERLAY	zapgun0 { POS_X 124; POS_Y 196; FLAGS ABSPOS; OVLYS cannon2_0; }
OVERLAY	zapgun1 { POS_X 124; POS_Y 196; FLAGS ABSPOS; OVLYS cannon2_1; }
OVERLAY	zapgun2 { POS_X 124; POS_Y 196; FLAGS ABSPOS; OVLYS cannon2_2; }
OVERLAY	zapgun3 { POS_X 124; POS_Y 196; FLAGS ABSPOS; OVLYS cannon2_3; }
OVERLAY	zapgun4 { POS_X 124; POS_Y 196; FLAGS ABSPOS; OVLYS cannon2_4; }
OVERLAY	zapgun5 { POS_X 124; POS_Y 196; FLAGS ABSPOS; OVLYS cannon2_5; }
OVERLAY	zapgun6 { POS_X 124; POS_Y 196; FLAGS ABSPOS; OVLYS cannon2_6; }
/*
BMAP 		flash_b0,<knallig.lbm>,230,4,12,12;
BMAP 		flash_b1,<knallig.lbm>,242,4,12,12;
BMAP 		flash_b2,<knallig.lbm>,254,4,12,12;
BMAP 		flash_b3,<knallig.lbm>,266,4,12,12;
*/
BMAP 		flash_b0,<knallig.lbm>,350,2,18,18;
BMAP 		flash_b1,<knallig.lbm>,372,2,18,18;
BMAP 		flash_b2,<knallig.lbm>,396,2,18,18;
BMAP 		flash_b3,<knallig.lbm>,420,2,18,18;

BMAP 		flash_ex0,<knallig.lbm>,0,42,128,128;
BMAP 		flash_ex1,<knallig.lbm>,128,42,128,128;
BMAP 		flash_ex2,<knallig.lbm>,256,42,128,128;
BMAP 		flash_ex3,<knallig.lbm>,384,42,128,128;
BMAP 		flash_ex4,<knallig.lbm>,0,170,128,128;
BMAP 		flash_ex5,<knallig.lbm>,128,170,128,128;


TEXTURE	flashball_tex {
	SCALE_XY	16,16;
	CYCLES	4;
	BMAPS		flash_b0,flash_b1,flash_b2,flash_b3;
	DELAY		1,1,1,1;
	AMBIENT	1;
}

TEXTURE	flashball_extex {
	SCALE_XY	16,16;
	CYCLES	6;
	BMAPS		flash_ex0,flash_ex1,flash_ex2,flash_ex3,flash_ex4,flash_ex5;
	DELAY		2,1,1,1,3,2;
	SCYCLES	1,0,0,0,0,0;
	AMBIENT	1;
	FLAGS		ONESHOT;
	SOUND		tron_bang;
	SVOL		0.5;
	SDIST		400;
}
/////////////////////////////////////////////////////////////////
ACTION set_gun3 {
	IF_EQUAL	gun3,0;
		BRANCH	set_gun1;
	SET	EACH_TICK.13,NULL;
	SET	LAYERS.1,zapgun0;
	SET	LAYERS.2,NULL;
	SET	LAYERS.3,NULL;
	SET	LAYERS.4,NULL;
	SET	LAYERS.5,NULL;
	SET	LAYERS.6,icrosshair;
	SET	gun_type,3;
	SET	fire,fire3;
	SET	set_gun,set_gun3;
}

ACTION init_flashball {
	SET	MY.TEXTURE,leer_tex;
 	SET	MY.PASSABLE,0;
	SET	MY.ANGLE,PLAYER_ANGLE;
	RULE	val1 = -0.83*PLAYER_TILT;
	SET	MY.VSPEED,val1;
	RULE	val1 = PLAYER_Z + -1.3;
#	RULE	val1 = PLAYER_Z + 2*val1 + -1.3;
	SET	MY.HEIGHT,val1;

/*
	SET 	SHOOT_RANGE,10;
	SHOOT;	// direkt vor Wand?
	IF_EQUAL	HIT_DIST,0,ifl_1;
		RULE	HIT_DIST = 0.7*HIT_DIST;
		SET	MY.DIST,HIT_DIST;
		SET	MY.TARGET,DROP;
		SET	MY.HEIGHT,val1;
		SET	MY.SPEED,0;
		DO		flashball_explo;
ifl_1:
*/
	SET	MY.DIST,0;
	DROP	MY;

	SET	MY.SPEED,3;
	SET	MY.CAREFULLY,1;
	SET	MY.TARGET,BULLET;

	SET	MY.SKILL8,0;
	SET	MY.EACH_TICK,flashball_count;

	SET	MY.IF_NEAR,NULL;
	SET	MY.IF_HIT,flashball_hit;
	SET	MY.EACH_CYCLE,NULL;
}

ACTION flashball_count {
#	SET	debug_2,MY.HEIGHT;
#	SET	debug_3,MY.DISTANCE;

	IF_BELOW	MY.SPEED,6;
		ADD	MY.SPEED,1;
	IF_BELOW	MY.DISTANCE,4;		// jetzt sichtbar
		END;
  	SET	MY.TEXTURE,flashball_tex;

	IF_ABOVE	MY.DISTANCE,500;
		DO	flashball_explo;
}

ACTION flashball_hit {
	SET		MY.SPEED,0.5;
	SET		MY.TARGET,FOLLOW;	// Rueckprall
	BRANCH	flashball_explo;
}

ACTION flashball_explo {
	SET		MY.IF_HIT,NULL;
	SET		MY.EACH_TICK,flashball_x3;
	SET		MY.PASSABLE,1;
	SET		MY.CAREFULLY,0;
	SET		SHOOT_FAC,1;
	SET		SHOOT_RANGE,40;
	SET		gun_strength,-1100;
	EXPLODE	MY;
#	SET		debug_4,HIT_MINDIST;
	IF_BELOW	RESULT,0.5;	// Player selbst getroffen?
		END;
	RULE		health = health + -40*RESULT;
	RULE		imp_fac = 3*RESULT;
	EXEC_RULES	schubs;			// Player anstossen
}

ACTION flashball_x3 {
	SET	MY.TEXTURE,flashball_extex;
	SET	MY.PLAY,1;
	SET	MY.EACH_CYCLE,flashball_weg;
	ADD	MY.HEIGHT,-4;
	ADD	PLAYER_LIGHT,0.3;
	ADD	THERE.AMBIENT,0.2;
	SET	MY.EACH_TICK,flashball_x4;
}

ACTION flashball_x4 {
	IF_BELOW	MY.CYCLE,4;
		END;
	SET	PLAYER_LIGHT,my_light;
	ADD	THERE.AMBIENT,-0.2;
	RULE	val1 = 0.3*TIME_CORR;
	SET	MY.SKILL8,val1;
	SET	MY.EACH_TICK,flash_auf;
}

ACTION flashball_weg {
	SET	MY.IF_HIT,NULL;
	SET	MY.EACH_CYCLE,NULL;
	SET	MY.EACH_TICK,NULL;
	SET	MY.CAREFULLY,0;
	SET	MY.SPEED,0;
	SET	MY.HEIGHT,PLAYER_Z;
	SET	MY.INVISIBLE,1;
}


ACTION fire3 {
loop:
	PLAY_SOUND	tchhh,0.35;
	SET	LAYERS.1,zapgun1;
	ADD	PLAYER_LIGHT,0.8;
	ADD	ahead_speed,-0.05;	// Rueckstoss
	ADD	tilt_speed,-0.07;
	WAIT	1;
	SET	LAYERS.1,zapgun2;

	IF_EQUAL flash.INVISIBLE,0;	// flash 1 noch unterwegs?
		SKIP	3;
	SET		flash.INVISIBLE,0;
	SET		flash.EACH_TICK,init_flashball;
	SKIP		12;
	IF_EQUAL flash2.INVISIBLE,0;
		SKIP	3;
	SET		flash2.INVISIBLE,0;
	SET		flash2.EACH_TICK,init_flashball;
	SKIP		7;
	IF_EQUAL flash3.INVISIBLE,0;
		SKIP	3;
	SET		flash3.INVISIBLE,0;
	SET		flash3.EACH_TICK,init_flashball;
	SKIP		2;
	SET		flash4.INVISIBLE,0;
	SET		flash4.EACH_TICK,init_flashball;

	WAIT		1;
	SET		LAYERS.1,zapgun3;
	WAIT		1;
	ADD		PLAYER_LIGHT,-0.4;
	IF_ABOVE	TIME_CORR,1.7;
		SKIP	2;
	SET		LAYERS.1,zapgun4;
	WAIT		1;
	SET		LAYERS.1,zapgun5;
	WAIT		1;
	SET		PLAYER_LIGHT,my_light;
	IF_ABOVE	TIME_CORR,1.4;
		SKIP	2;
	SET		LAYERS.1,zapgun6;
	WAIT		1;
	SET		LAYERS.1,zapgun0;
	RULE		energy = energy + -20;
	IF_BELOW	energy,1;
		BRANCH	fire_stop;
	WAITT		4;
	IF_EQUAL	KEY_CTRL,1;
		GOTO	loop;
	IF_EQUAL	MOUSE_LEFT,1;
		GOTO	loop;
	BRANCH	fire_stop;
}

IF_3		set_gun3;
