///////////////////////////////////////////////////////////////////////
// Mines for dropping and running away
// F.O. July `95
///////////////////////////////////////////////////////////////////////
SOUND	klick,<ausklink.wav>;
#SOUND	klonk,<aufsetz.wav>;
SOUND	tic_tac,<tic.wav>;

///////////////////////////////////////////////////////////////////////
BMAP min_ob,<mine2.lbm>,0,0,78,80;

BMAP min_ex1,<knallig.lbm>,0,42,128,128;
BMAP min_ex2,<knallig.lbm>,128,42,128,128;
BMAP min_ex3,<knallig.lbm>,256,42,128,128;
BMAP min_ex4,<knallig.lbm>,384,42,128,128;
BMAP min_ex5,<knallig.lbm>,0,170,128,128;
BMAP min_ex6,<knallig.lbm>,128,170,128,128;

OVLY min_ovl,<mine2.lbm>,119,0,40,31;
OVERLAY mine1_ovr { POS_X 138; POS_Y 293; FLAGS ABSPOS; OVLYS min_ovl; }
OVERLAY mine2_ovr { POS_X  94; POS_Y 295; FLAGS ABSPOS; OVLYS min_ovl; }
OVERLAY mine3_ovr { POS_X 182; POS_Y 295; FLAGS ABSPOS; OVLYS min_ovl; }
OVERLAY mine4_ovr { POS_X  50; POS_Y 297; FLAGS ABSPOS; OVLYS min_ovl; }
OVERLAY mine5_ovr { POS_X 226; POS_Y 297; FLAGS ABSPOS; OVLYS min_ovl; }

/*
PANEL	min_pan	{
	POS_X 	127;	POS_Y 	354;
	PAN_MAP 	min_ins;
	DIGITS	18,0,1,led,1,minen;
}
*/
TEXTURE	min_obj_tex {
	SCALE_XY		32,32;
	BMAPS			min_ob;
}

TEXTURE	min_tick_tex {
	SCALE_XY		32,32;
	CYCLES		2;
	BMAPS			min_ob,min_ob;
	DELAY			4,4;
	SOUND			tic_tac;
	SCYCLE		1;
	SVOL			0.4;
	SDIST			60;
}

TEXTURE	min_bums_tex {
	SCALE_XY	10,10;
	CYCLES	6;
	BMAPS		min_ex1,min_ex2,min_ex3,min_ex4,min_ex5,min_ex6;
	DELAY		2,1,1,1,3,2;
	SCYCLES	1,0,1,0,0,0;
	AMBIENT	1;
	FLAGS		ONESHOT;
	SOUND		tron_bang;
	SVOL		0.6;
	SDIST		350;
}
/////////////////////////////////////////////////////////////////////////
ACTOR mine	{ TEXTURE min_obj_tex; FLAGS SAVE; EACH_TICK mine_init; }
ACTOR mine1	{ TEXTURE min_obj_tex; FLAGS SAVE; EACH_TICK mine_init; }
ACTOR mine2	{ TEXTURE min_obj_tex; FLAGS SAVE; EACH_TICK mine_init; }
ACTOR mine3	{ TEXTURE min_obj_tex; FLAGS SAVE; EACH_TICK mine_init; }
ACTOR mine4	{ TEXTURE min_obj_tex; FLAGS SAVE; EACH_TICK mine_init; }
ACTOR mine5	{ TEXTURE min_obj_tex; FLAGS SAVE; EACH_TICK mine_init; }
ACTOR mine6	{ TEXTURE min_obj_tex; FLAGS SAVE; EACH_TICK mine_init; }
ACTOR mine7	{ TEXTURE min_obj_tex; FLAGS SAVE; EACH_TICK mine_init; }
ACTOR mine8	{ TEXTURE min_obj_tex; FLAGS SAVE; EACH_TICK mine_init; }
ACTOR mine9	{ TEXTURE min_obj_tex; FLAGS SAVE; EACH_TICK mine_init; }
/////////////////////////////////////////////////////////////////////////
ACTION mine_init {
	SET		MY.FRAGILE,1;
	SET		MY.CAREFULLY,1;
	SET		MY.DIST,4;
	SET		MY.IF_NEAR,add_mine;
	SET		MY.IF_HIT,hit_mine;
	SET		MY.HEIGHT,0;
	SET		MY.EACH_TICK,NULL;
}

ACTION hit_mine {
	IF_EQUAL	SHOOT_RANGE,14;	// Space key
		BRANCH		add_mine;
	IF_EQUAL	RESULT,0;		// test shoot only?
		END;
	BRANCH	mine_explode;
}

ACTION add_mine {
	SET 		screen_msg.STRING,no_mine;
	SET		message_delay,80;	// 5-Sekunden-Message
	SET 		EACH_TICK.14,show_message;
	IF_ABOVE	minen,4;
		END;		// max. 5 mines allowed
	PLAY_SOUND	beamer,0.3;
	SET		MY.TEXTURE,min_obj_tex;
	SET 		MY.INVISIBLE,1;
	ADD 		minen,1;
	SET 		screen_msg.STRING,got_mine;
	BRANCH	set_mine;
}

ACTION set_mine {
	IF_EQUAL	minen,0;
		BRANCH		set_gun0;
	SET		EACH_TICK.13,NULL;
	SET		LAYERS.1,mine1_ovr;
	SET		LAYERS.2,NULL;
	SET		LAYERS.3,NULL;
	SET		LAYERS.4,NULL;
	SET		LAYERS.5,NULL;
	SET		LAYERS.6,NULL;
	IF_ABOVE	minen,1;
		SET	LAYERS.2,mine2_ovr;
	IF_ABOVE	minen,2;
		SET	LAYERS.3,mine3_ovr;
	IF_ABOVE	minen,3;
		SET	LAYERS.4,mine4_ovr;
	IF_ABOVE	minen,4;
		SET	LAYERS.5,mine5_ovr;
	SET		gun_type,9;
	SET		fire,mine_werf;
	SET		set_gun,set_mine;
}


ACTION mine_werf {
	IF_EQUAL	minen,0;
		END;
// only throw invisible mines
	IF_EQUAL	mine.INVISIBLE,0;	SKIP 3;
		SET	mine.EACH_TICK,mine_los;
		SET	mine.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	mine1.INVISIBLE,0;	SKIP 3;
		SET	mine1.EACH_TICK,mine_los;
		SET	mine1.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	mine2.INVISIBLE,0;	SKIP 3;
		SET	mine2.EACH_TICK,mine_los;
		SET	mine2.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	mine3.INVISIBLE,0;	SKIP 3;
		SET	mine3.EACH_TICK,mine_los;
		SET	mine3.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	mine4.INVISIBLE,0;	SKIP 3;
		SET	mine4.EACH_TICK,mine_los;
		SET	mine4.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	mine5.INVISIBLE,0;	SKIP 3;
		SET	mine5.EACH_TICK,mine_los;
		SET	mine5.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	mine6.INVISIBLE,0;	SKIP 3;
		SET	mine6.EACH_TICK,mine_los;
		SET	mine6.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	mine7.INVISIBLE,0;	SKIP 3;
		SET	mine7.EACH_TICK,mine_los;
		SET	mine7.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	mine8.INVISIBLE,0;	SKIP 3;
		SET	mine8.EACH_TICK,mine_los;
		SET	mine8.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	mine9.INVISIBLE,0;	END;
		SET	mine9.EACH_TICK,mine_los;
		SET	mine9.INVISIBLE,0;

mwerf1:
	SET 		screen_msg.STRING,hot_mine;
	SET		message_delay,80;	// 5-Sekunden-Message
	SET 		EACH_TICK.14,show_message;
	SET		EACH_TICK.13,NULL;
	ADD		minen,-1;
	PLAY_SOUND	klick,0.5;
	BRANCH	set_mine;	// show mine count
}

ACTION	mine_los {
	SET	MY.TEXTURE,min_obj_tex;
	SET	MY.HEIGHT,1.5;	// mine without flag GROUND!
	SET 	MY.DIST,0;
  	DROP	MY;
	SET	MY.PASSABLE,0;
	SET	MY.SPEED,2;
	SET	MY.ANGLE,PLAYER_ANGLE;
	SET	MY.TARGET,MOVE;
	SET	MY.VSPEED,0.4;
	SET	MY.EACH_TICK,mine_throw;
	SET	MY.EACH_CYCLE,NULL;
	SET	MY.IF_NEAR,NULL;
	SET	MY.IF_HIT,hit_mine;
}

ACTION mine_throw {
	ADDT	MY.VSPEED,-0.2;	// Gravity
	IF_ABOVE	MY.HEIGHT,0;
		END;
	SET	MY.HEIGHT,0;
	SET	MY.VSPEED,0;
	PLAY_SOUND	klonk,0.5;
	SET	MY.EACH_TICK,mine_slide;
}

ACTION mine_slide {
#	SET	debug_1,MY.HEIGHT;
	ADDT	MY.SPEED,-0.3;		// Friction
	IF_ABOVE	MY.SPEED,0;
		END;

	SET	MY.TEXTURE,min_tick_tex;
	SET	MY.EACH_TICK,NULL;
	SET	MY.EACH_CYCLE,mine_sensor;
	SET	MY.SPEED,0;
	SET	MY.SKILL8,0;
	SET	MY.TARGET,NULL;
	SET	MY.HEIGHT,0.1;
	SET	MY.DIST,4;
	SET	MY.IF_NEAR,add_mine;	// to take it again
}

ACTION mine_sensor {			// look for victims...
	SET		SHOOT_FAC,0;
	SET		SHOOT_RANGE,15;
	EXPLODE	MY;				// test explosion
	IF_ABOVE	HIT_MINDIST,0;		// hit something?
		BRANCH	mine_explode;	// then hurt it really
}

ACTION mine_explode {
	SET		MY.PASSABLE,1;
	SET		MY.SPEED,0.5;
	SET		MY.TARGET,FOLLOW;
	SET		gun_strength,-1600;
	SET		SHOOT_RANGE,40;
	SET		SHOOT_FAC,1;
 	EXPLODE	MY;				// jetzt 'echte' Explosion
   SET		MY.TEXTURE,min_bums_tex;
	SET		MY.PLAY,1;
	ADD		MY.HEIGHT,-3;	// to center the larger texture
	SET		MY.EACH_CYCLE,mine_weg;
	ADD		THERE.AMBIENT,0.2;
	SET		MY.IF_HIT,NULL;
	SET		MY.IF_NEAR,NULL;
	SET		MY.EACH_TICK,NULL;
	IF_EQUAL	RESULT,0;		// Player selbst getroffen?
		END;
	RULE		health = health + -200*RESULT + -15;
}

ACTION mine_weg {
	ADD		THERE.AMBIENT,-0.2;
	SET		MY.INVISIBLE,1;
	SET		MY.EACH_CYCLE,NULL;
}

IF_5	set_mine;
