////////////////////////////////////////////////////////
// Door actions (texture animation)
////////////////////////////////////////////////////////
SOUND	door_open, <tuer_auf.wav>;		# tr auf

BMAP	Standard_Tuer_Zu1, <grauxit2.lbm>,0,0,256,256;
BMAP	Standard_Tuer_Auf1, <grauxit2.lbm>,0,0,256,256;
BMAP	Standard_Tuer_Auf2, <grauxit3.lbm>,0,0,256,256;
BMAP	Standard_Tuer_Auf3, <grauxit4.lbm>,0,0,256,256;
BMAP	Standard_Tuer_Auf4, <grauxit5.lbm>,0,0,256,256;
BMAP	Standard_Tuer_Auf5, <grauxit6.lbm>,0,0,256,256;
BMAP	Standard_Tuer_Auf6, <grauxit7.lbm>,0,0,256,256;
BMAP	Standard_Tuer_Auf7, <grauxit8.lbm>,0,0,256,256;

TEXTURE  Standard_Tuer_Tex {
	SCALE_XY		18,18;
	BMAPS			Standard_Tuer_Zu1;
}

TEXTURE  Standard_Tuer_Auf_Tex {
	SCALE_XY		18,18;
	CYCLES		7;
	BMAPS 		Standard_Tuer_Auf1,Standard_Tuer_Auf2,Standard_Tuer_Auf3,
					Standard_Tuer_Auf4,Standard_Tuer_Auf5,Standard_Tuer_Auf6,
					Standard_Tuer_Auf7;
	DELAY			1,1,1,1,1,1,1;
	FLAGS			ONESHOT;
	SOUND			door_open;
	SVOL			0.5;
	SDIST			50;
}
TEXTURE  Standard_Tuer_Zu_Tex {
	SCALE_XY		18,18;
	CYCLES		8;
	BMAPS 		Standard_Tuer_Auf7,Standard_Tuer_Auf6,Standard_Tuer_Auf5,
					Standard_Tuer_Auf4,Standard_Tuer_Auf3,Standard_Tuer_Auf2,
					Standard_Tuer_Auf1,Standard_Tuer_Zu1;
	DELAY			1,1,1,1,1,1,1,1;
	FLAGS			ONESHOT;
	SOUND			door_open;
	SVOL			0.5;
	SDIST			50;
}

//////////////////////////////////////////////////////////////
WALL Standard_Tuer {
	TEXTURE		Standard_Tuer_Tex;
	FLAGS			PORTCULLIS,SAVE;
	DIST			25;
	IF_NEAR		Standard_Tuer_Auf;
	IF_FAR		Standard_Tuer_Zu;
}

ACTION Standard_Tuer_Auf {
	IF_EQUAL		MY.TRANSPARENT,1;	// schon auf?
		END;
	SET			MY.TEXTURE,Standard_Tuer_Auf_Tex;
	BRANCH		texdoor_open;
}

ACTION Standard_Tuer_Zu {
	IF_EQUAL		MY.PASSABLE,0;		// schon zu?
		END;
	SET			MY.TEXTURE,Standard_Tuer_Zu_Tex;
	BRANCH		texdoor_close;
}

////////////////////////////////////////////////////////////
ACTION texdoor_open {
	SET		MY.TRANSPARENT,1;
	ADD		MY.DIST,2;	// Hysterese
	SET		MY.EACH_CYCLE,texdoor_checkopen;
	SET		MY.PLAY,1;
}

ACTION texdoor_checkopen {
	SET 		MY.PASSABLE,1;
	SET		MY.IMMATERIAL,1;
	SET		MY.EACH_CYCLE,NULL;
}

ACTION texdoor_close {
	SET 		MY.PASSABLE,0;
	SET		MY.IMMATERIAL,0;
	SET		MY.PLAY,1;
	SET		MY.EACH_CYCLE,texdoor_checkclose;
}

ACTION texdoor_checkclose {
	SET		MY.EACH_CYCLE,NULL;
	SET		MY.TRANSPARENT,0;
	ADD		MY.DIST,-2;
}

