///////////////////////////////////////////////////////////////////////
// Mines for dropping and running away
// F.O. July `95
///////////////////////////////////////////////////////////////////////
SOUND	wklick,<ausklink.wav>;
#SOUND	wklonk,<aufsetz.wav>;
SOUND	wtic_tac,<tic.wav>;

///////////////////////////////////////////////////////////////////////
BMAP wis_ob,<mine2.lbm>,88,0,40,31;
OVLY wis_ovl,<mine2.lbm>,88,0,40,31;

OVERLAY wis1_ovr { POS_X 138; POS_Y 293; FLAGS ABSPOS; OVLYS wis_ovl; }
OVERLAY wis2_ovr { POS_X  94; POS_Y 295; FLAGS ABSPOS; OVLYS wis_ovl; }
OVERLAY wis3_ovr { POS_X 182; POS_Y 295; FLAGS ABSPOS; OVLYS wis_ovl; }
OVERLAY wis4_ovr { POS_X  50; POS_Y 297; FLAGS ABSPOS; OVLYS wis_ovl; }
OVERLAY wis5_ovr { POS_X 226; POS_Y 297; FLAGS ABSPOS; OVLYS wis_ovl; }

/*
PANEL	min_pan	{
	POS_X 	127;	POS_Y 	354;
	PAN_MAP 	min_ins;
	DIGITS	18,0,1,led,1,minen;
}
*/
TEXTURE	wis_obj_tex {
	SCALE_XY		32,32;
	BMAPS			wis_ob;
}

/////////////////////////////////////////////////////////////////////////
ACTOR wis	{ TEXTURE wis_obj_tex; FLAGS SAVE;SKILL1 40;EACH_TICK wis_init; }
ACTOR wis1	{ TEXTURE wis_obj_tex; FLAGS SAVE;SKILL1 15;EACH_TICK wis_init; }
ACTOR wis2	{ TEXTURE wis_obj_tex; FLAGS SAVE;SKILL1 25;EACH_TICK wis_init; }
ACTOR wis3 { TEXTURE wis_obj_tex; FLAGS SAVE;SKILL1 40;EACH_TICK wis_init; }
ACTOR wis4 { TEXTURE wis_obj_tex; FLAGS SAVE;SKILL1 65; EACH_TICK wis_init; }
ACTOR wis5 { TEXTURE wis_obj_tex; FLAGS SAVE;SKILL1 90;EACH_TICK wis_init; }
ACTOR wis6 { TEXTURE wis_obj_tex; FLAGS SAVE;SKILL1 90;EACH_TICK wis_init; }
ACTOR wis7 { TEXTURE wis_obj_tex; FLAGS SAVE;SKILL1 90;EACH_TICK wis_init; }
ACTOR wis8 { TEXTURE wis_obj_tex; FLAGS SAVE;SKILL1 90;EACH_TICK wis_init; }
ACTOR wis9 { TEXTURE wis_obj_tex; FLAGS SAVE;SKILL1 90;EACH_TICK wis_init; }

/////////////////////////////////////////////////////////////////////////
ACTION wis_init {
	SET		MY.FRAGILE,1;
	SET		MY.CAREFULLY,1;
	SET		MY.DIST,10;
	SET		MY.IF_NEAR,add_wis;
	SET		MY.IF_HIT,hit_wis;
	SET		MY.HEIGHT,0;
	SET		MY.EACH_TICK,NULL;
}

ACTION hit_wis {
	IF_EQUAL	SHOOT_RANGE,14;	// Space key
		BRANCH		add_wis;
}

STRING no_wis,"You found a antiviral system";

ACTION add_wis {
	SET 		screen_msg.STRING,no_wis;
	SET		message_delay,80;	// 5-Sekunden-Message
	SET 		EACH_TICK.14,show_message;
	IF_ABOVE	wisen,4;
		END;		// max. 5 mines allowed
	PLAY_SOUND	beamer,0.3;
	SET		MY.TEXTURE,wis_obj_tex;
	SET 		MY.INVISIBLE,1;
	ADD 		wisen,1;
	SET 		screen_msg.STRING,no_wis;
	BRANCH	set_wis;
}

ACTION set_wis {
	IF_EQUAL	wisen,0;
		BRANCH		set_gun0;
	SET		EACH_TICK.13,NULL;
	SET		LAYERS.1,wis1_ovr;
	SET		LAYERS.2,NULL;
	SET		LAYERS.3,NULL;
	SET		LAYERS.4,NULL;
	SET		LAYERS.5,NULL;
	SET		LAYERS.6,NULL;
	IF_ABOVE	minen,1;
		SET	LAYERS.2,wis2_ovr;
	IF_ABOVE	minen,2;
		SET	LAYERS.3,wis3_ovr;
	IF_ABOVE	minen,3;
		SET	LAYERS.4,wis4_ovr;
	IF_ABOVE	minen,4;
		SET	LAYERS.5,wis5_ovr;
	SET		gun_type,11;
	SET		fire,wis_werf;
	SET		set_gun,set_wis;
}


ACTION wis_werf {
	IF_EQUAL	wisen,0;
		END;
// only throw invisible mines
	IF_EQUAL	wis.INVISIBLE,0;	SKIP 3;
		SET	wis.EACH_TICK,wmine_los;
		SET	wis.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	wis1.INVISIBLE,0;	SKIP 3;
		SET	wis1.EACH_TICK,wmine_los;
		SET	wis1.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	wis2.INVISIBLE,0;	SKIP 3;
		SET	wis2.EACH_TICK,wmine_los;
		SET	wis2.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	wis3.INVISIBLE,0;	SKIP 3;
		SET	wis3.EACH_TICK,wmine_los;
		SET	wis3.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	wis4.INVISIBLE,0;	SKIP 3;
		SET	wis4.EACH_TICK,wmine_los;
		SET	wis4.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	wis5.INVISIBLE,0;	SKIP 3;
		SET	wis5.EACH_TICK,wmine_los;
		SET	wis5.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	wis6.INVISIBLE,0;	SKIP 3;
		SET	wis6.EACH_TICK,wmine_los;
		SET	wis6.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	wis7.INVISIBLE,0;	SKIP 3;
		SET	wis7.EACH_TICK,wmine_los;
		SET	wis7.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	wis8.INVISIBLE,0;	SKIP 3;
		SET	wis8.EACH_TICK,wmine_los;
		SET	wis8.INVISIBLE,0;
		GOTO	mwerf1;
	IF_EQUAL	wis9.INVISIBLE,0;	END;
		SET	wis9.EACH_TICK,wmine_los;
		SET	wis9.INVISIBLE,0;

mwerf1:
	ADD		wisen,-1;
	PLAY_SOUND	klick,0.5;
	BRANCH	set_wis;	// show mine count
}

ACTION	wmine_los {
	SET	MY.TEXTURE,wis_obj_tex;
	SET	MY.HEIGHT,1.5;	// mine without flag GROUND!
	SET 	MY.DIST,5;
  	DROP	MY;
	SET   MY.TARGET,FOLLOW;
	SET   MY.DIST,20;
	SET   MY.TARGET,NULL;
	SET	MY.PASSABLE,0;
	SET	MY.EACH_CYCLE,NULL;
	SET   MY.IF_NEAR,wis_bot;
	SET   MY.IF_HIT,NULL;
	SET   MY.EACH_TICK,wis_bot;
}

ACTION wis_bot {			// look for victims...
	SET		SHOOT_FAC,1;
	SET		SHOOT_RANGE,30;
	SET		gun_strength,-4600;
	EXPLODE	MY;				// test explosion
	RULE		imp_fac = 6*RESULT;

}
ACTION wis_scan
{
	IF_EQUAL	SHOOT_RANGE,14;
	SET   MY.TARGET,FOLLOW;
		BRANCH add_wis;
	IF_BELOW	RESULT,0.1;
		END;
}
ACTION collapse
{
IF_BELOW RANDOM,0.9;
	END;
IF_BELOW RANDOM,0.9;
	END;

ADD HERE.FLOOR_HGT,2;
waitt 1;
ADD HERE.FLOOR_HGT,-2;
waitt 1;
ADD HERE.FLOOR_HGT,4;
waitt 1;
ADD HERE.FLOOR_HGT,-4;

}

IF_6	set_wis;
